## ros-jazzy-turtlesim 1.8.3

=== debian/changelog ===
ros-jazzy-turtlesim (1.8.3-2bookworm) bookworm; urgency=high

  * Add icon for Jazzy. (#167 <https://github.com/ros/ros_tutorials/issues/167>) (#168 <https://github.com/ros/ros_tutorials/issues/168>)
    (cherry picked from commit 014955e15a6ac3b1649cbf21e11c8547ebd47af7)
    Co-authored-by: Marco A. Gutierrez <mailto:marcogg@marcogg.com>
  * [teleop_turtle_key] update usage string to match keys captured by keyboard (#165 <https://github.com/ros/ros_tutorials/issues/165>) (#166 <https://github.com/ros/ros_tutorials/issues/166>)
    On windows it will stay uppercase but shouldn't impact users compared to
    current situation
    (cherry picked from commit e2853cac87f0c62db6294e5bc351e5b52fcd1ae1)
    Co-authored-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-turtlesim (1.8.2-2bookworm) bookworm; urgency=high

  * Shorten the callback definition for uncrustify. (#163 <https://github.com/ros/ros_tutorials/issues/163>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-turtlesim (1.8.1-2bookworm) bookworm; urgency=high

  * Use same QoS for all topic pub/subs (#161 <https://github.com/ros/ros_tutorials/issues/161>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-turtlesim (1.8.0-2bookworm) bookworm; urgency=high

  * Remove all uses of ament_target_dependencies. (#159 <https://github.com/ros/ros_tutorials/issues/159>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-turtlesim (1.7.4-2bookworm) bookworm; urgency=high

  * Crop galactic.png and rolling.png to 45x45. (#158 <https://github.com/ros/ros_tutorials/issues/158>)
  * Contributors: Jason O'Kane

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-turtlesim (1.7.3-2bookworm) bookworm; urgency=high

  * Remove the unused member variable last_state_ (#156 <https://github.com/ros/ros_tutorials/issues/156>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-turtlesim (1.7.2-2bookworm) bookworm; urgency=high

  * Added common tests (#154 <https://github.com/ros/ros_tutorials/issues/154>)
  * Heavy cleanup of the draw_square tutorial. (#152 <https://github.com/ros/ros_tutorials/issues/152>)
    * Heavy cleanup of the draw_square tutorial.
    In particular:
    1. Make it conform to the current ROS 2 style.
    2. Add in copyright information.
    3. Refactor the entire code into a class, which tidies it
    up quite a bit and removes a bunch of globals.
    4. Make sure to wait for the reset to complete before trying
    to move the turtle.
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 04 Jun 2023 16:00:00 -0000

ros-jazzy-turtlesim (1.7.1-2bookworm) bookworm; urgency=high

  * Remove the range constraints from the holonomic parameter. (#150 <https://github.com/ros/ros_tutorials/issues/150>)
  * Add icon (#148 <https://github.com/ros/ros_tutorials/issues/148>)
  * Contributors: Chris Lalancette, Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-turtlesim (1.7.0-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-turtlesim (1.6.0-2bookworm) bookworm; urgency=high

  * Update turtlesim to C++17. (#146 <https://github.com/ros/ros_tutorials/issues/146>)
  * [rolling] Update maintainers - 2022-11-07 (#145 <https://github.com/ros/ros_tutorials/issues/145>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-turtlesim (1.5.0-2bookworm) bookworm; urgency=high

  * Add parameter to enable holonomic motion (#131 <https://github.com/ros/ros_tutorials/issues/131>)
  * Add humble turtle (#140 <https://github.com/ros/ros_tutorials/issues/140>)
  * Contributors: Audrow Nash, Daisuke Sato

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-turtlesim (1.4.1-2bookworm) bookworm; urgency=high

  * Use ``double`` when handling ``qreal orient\_`` (#114 <https://github.com/ros/ros_tutorials/issues/114>)
  * Add Rolling Icon (#133 <https://github.com/ros/ros_tutorials/issues/133>)
  * Contributors: Katherine Scott, Seulbae Kim

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-turtlesim (1.4.0-2bookworm) bookworm; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#137 <https://github.com/ros/ros_tutorials/issues/137>)
  * Fixing deprecated subscriber callback warnings (#134 <https://github.com/ros/ros_tutorials/issues/134>)
  * Use rosidl_get_typesupport_target() (#132 <https://github.com/ros/ros_tutorials/issues/132>)
  * Print out the correct node name on startup. (#122 <https://github.com/ros/ros_tutorials/issues/122>)
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-jazzy-turtlesim (1.3.3-2bookworm) bookworm; urgency=high

  * Added galactic turtle icon. (#123 <https://github.com/ros/ros_tutorials/issues/123>)
  * Heavily cleanup teleop_turtle_key. (#121 <https://github.com/ros/ros_tutorials/issues/121>)
  * Contributors: Chris Lalancette, Katherine Scott

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 20 May 2021 16:00:00 -0000

ros-jazzy-turtlesim (1.3.2-2bookworm) bookworm; urgency=high


